package bitsplease.mummymayhem.model.map;

public enum FieldType {
    OPEN("src/main/resources/assets/fields/openField.png"),
    DUNE("src/main/resources/assets/fields/duneField.png"),
    CACTUS("src/main/resources/assets/fields/cactusField.png"),
    CACTUS_2("src/main/resources/assets/fields/cactusField2.png"),
    STONE("src/main/resources/assets/fields/stoneField.png"),
    STONE_2("src/main/resources/assets/fields/stoneField2.png"),
    TREE("src/main/resources/assets/fields/treeField.png"),
    TREE_2("src/main/resources/assets/fields/treeField2.png");

    private final String imagePath;

    FieldType(String imagePath) {
        this.imagePath = imagePath;
    }

    public String getImagePath() {
        return imagePath;
    }
}
