package bitsplease.mummymayhem.model.persistence;

import bitsplease.mummymayhem.model.map.Field;
import bitsplease.mummymayhem.model.map.Map;

import java.util.ArrayList;
import java.util.List;

public class CustomMapSave {
    private int width;
    private int height;
    private List<List<Field>> fields;

    public CustomMapSave() {}

    public CustomMapSave(int width, int height, List<List<Field>> fields) {
        this.width = width;
        this.height = height;
        this.fields = fields;
    }

    public int getWidth() {
        return width;
    }

    public int getHeight() {
        return height;
    }

    public List<List<Field>> getFields() {
        return fields;
    }

    public void setFieldsEmpty() {
        this.fields = new ArrayList<>();
        this.width = 0;
        this.height = 0;
    }

    @Override
    public String toString() {
        return Map.getString(fields);
    }
}