package bitsplease.mummymayhem.model.units;

import javafx.geometry.Point2D;

public class Runner extends Unit{
    private static final int BASE_HP=30;
    private static final int ATTACK_VALUE=5;
    private static final int SPEED_VALUE=5;
    private static final int PRICE=50;

    public Runner(Point2D position, String imagePath) {
        super(position, imagePath, BASE_HP, SPEED_VALUE, ATTACK_VALUE, PRICE);
    }

    public Runner(Unit unit) {
        super(unit);
    }

    public String getName() {
        return "Runner";
    }

}
