package bitsplease.mummymayhem.model.units;

import javafx.geometry.Point2D;

public class Fighter extends Unit{
    private static final int BASE_HP=50;
    private static final int ATTACK_VALUE=7;
    private static final int SPEED_VALUE=3;
    private static final int PRICE=50;

    public Fighter(Point2D position, String imagePath) {
        super(position, imagePath, BASE_HP, SPEED_VALUE, ATTACK_VALUE, PRICE);
    }

    public Fighter(Unit unit) {
        super(unit);
    }

    public String getName() {
        return "Fighter";
    }
}
