package bitsplease.mummymayhem.model.units;

import javafx.geometry.Point2D;

public class Tank extends Unit{
    private static final int BASE_HP=90;
    private static final int ATTACK_VALUE=3;
    private static final int SPEED_VALUE=3;
    private static final int PRICE=70;

    public Tank(Point2D position, String imagePath) {
        super(position, imagePath, BASE_HP, SPEED_VALUE, ATTACK_VALUE, PRICE);
    }

    public Tank(Unit unit) {
        super(unit);
    }

    public String getName() {
        return "Tank";
    }
}
