package bitsplease.mummymayhem.model.utils;

import javafx.scene.image.Image;

import javafx.scene.media.AudioClip;
import javafx.scene.media.Media;

import java.io.File;

public class ResourceLoader {

    /**
     * Loads an image from the given path.
     *
     * @param filePath The path of the file
     * @return An Image object
     */
    public static Image loadImage(String filePath) {
        return new Image(new File(filePath).toURI().toString());
    }

    public static Media loadMusic(String filePath) { return new Media(new File(filePath).toURI().toString());}

    public static AudioClip loadSFX(String filePath) {return new AudioClip(new File(filePath).toURI().toString());}
}
