package bitsplease.mummymayhem.model.utils;

import javafx.geometry.Point2D;

public abstract class Sprite {
    protected Point2D position;
    protected String imagePath;

    protected Sprite(Point2D position, String imagePath) {
        this.position = position;
        this.imagePath = imagePath;
    }

    protected Sprite(String imagePath) {
        this.imagePath = imagePath;
    }

    public Point2D getPosition() {
        return position;
    }

    public void setPosition(Point2D position) {
        this.position = position;
    }

    public String getImagePath() {
        return imagePath;
    }

    public void setImagePath(String imagePath) {
        this.imagePath = imagePath;
    }
}
